<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="css/Bootstrap/bootstrap.min.css" />
    <link rel="stylesheet" href="css/objectionCommitteeDash.css" />
    <title>Document</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg text-white bg-danger alert hidden">
      <h3 class="alert-wait">Something went wrong, please try again later.</h3>
    </nav>

    <nav class="navbar navbar-expand-lg text-white bg-success alert hidden">
      <h3 class="alert-ok">the objection has been successfully.</h3>
    </nav>
    <nav class="signin-nav navbar navbar-expand-lg">
      <div class="respon">
        <ul class="navbar-nav">
          <li class="nav-item dropdown">
            <a
              class="nav-link dropdown-toggle text-white"
              href="#"
              id="navbarDarkDropdownMenuLink"
              role="button"
              data-bs-toggle="dropdown"
            >
              Ammar Jlies
            </a>
            <ul
              class="dropdown-menu"
              aria-labelledby="navbarDarkDropdownMenuLink"
            >
              <li>
                <a
                  class="dropdown-item log-out"
                  href="http://localhost/SemesterProject/index.html"
                  >تسجيل الخروج</a
                >
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>

    <section id="objections">
      <div class="row d-flex justify-center">
        <h2 class="text-center">الاعتراضات المقدمة</h2>
        <div class="container-fluid col-lg-8 objections-container">
          <div class="container-fluid objections-box">
            <div class="row row-cols-1 row-cols-lg-2">
              <div class="col">
                <select
                  class="form-select form-select-lg year-sel mb-2"
                  required
                >
                  <option disabled selected hidden>السنة</option>
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                </select>
              </div>
              <div class="col">
                <select
                  class="form-select form-select-lg subject-sel mb-2"
                  required
                >
                  <option disabled selected hidden>المقرر</option>
                  <option value="1">1</option>
                  <option value="2">2</option>
                  <option value="3">3</option>
                  <option value="4">4</option>
                  <option value="5">5</option>
                </select>
              </div>
            </div>
            <br />
            <!-- this is the objections window -->
            <div class="objections-window">
              <!-- Objection -->
              <div class="container-fluid objection removable">
                <div
                  class="container-fluid text-center margin row row-cols-1 row-cols-lg-3"
                >
                  <div class="col">
                    <p>المقرر: قواعد بيانات 1</p>
                  </div>
                  <div class="col">
                    <p>الحالة: قيد المراجعة</p>
                  </div>
                  <div class="col">
                    <p>السنة: 2</p>
                  </div>
                  <div class="col">
                    <p>العلامة المعلنة: 59</p>
                  </div>
                  <div class="col">
                    <p>المدرس: د.علي</p>
                  </div>
                  <div class="col">
                    <p>- :العلامة الجديدة</p>
                  </div>
                  <div class="col text-center">
                    <select class="form-select result-sel" required>
                      <option disabled selected hidden>النتيجة</option>
                      <option value="changed">changed</option>
                      <option value="unchanged">unchanged</option>
                    </select>
                  </div>
                  <div class="col text-center">
                    <input
                      class="form-control new-mark"
                      type="text"
                      placeholder="العلامة الجديدة"
                    />
                  </div>
                  <div class="col">
                    <button
                      class="btn btn-primary me-1 btn-accept"
                      data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop"
                    >
                      &#10003;
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <!-- end of objection -->
          </div>
        </div>
      </div>
    </section>

    <!-- Popup when clicking check or x -->
    <div
      class="modal fade"
      id="staticBackdrop"
      data-bs-backdrop="static"
      data-bs-keyboard="false"
      tabindex="-1"
      aria-labelledby="staticBackdropLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <!-- Popup Title -->
            <h5 class="modal-title" id="staticBackdropLabel">Confirmation</h5>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></button>
          </div>
          <!-- Popup Text -->
          <div class="modal-body"></div>
          <!-- Popup Footer (buttons) -->
          <div class="modal-footer">
            <button
              type="button"
              class="btn btn-secondary btn-cancel"
              data-bs-dismiss="modal"
            >
              Close
            </button>
            <button
              type="button"
              class="btn btn-primary btn-confirm"
              data-bs-dismiss="modal"
            >
              Confirm
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- end of Popup -->

    <script src="js/objectionCommitteeDash.js"></script>
    <script src="js/Bootstrap/bootstrap.bundle.min.js"></script>
  </body>
</html>
